<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SB Admin 2 - Dashboard</title>

  <!-- Custom fonts for this template-->
  <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link
    href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
    rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">



    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">


          <!-- Topbar Search -->

          <a href="/user">Liste user</a>
          <a href="/films">Liste film</a>

          <!-- Topbar Navbar -->
          <ul class="navbar-nav ml-auto">
            <!-- LOGOUT !!! -->
            <a class="dropdown-item" href="/logout" data-toggle="modal" data-target="#logoutModal">
              <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
              !!Logout!!
            </a>
          </ul>
        </nav>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->

        <div id="filmList" class="container-fluid">
          <h4>Chercher et rajouter</h4>
          <div>
            <form class="form-inline my-2 my-lg-0 searchForm" method="get" action="/film" autocomplete="off">
              <input class="form-control mr-sm-2" type="text" size="10" value="" placeholder="titre"
                name="recherche" required="required" />
              <button class="btn btn-secondary">rechercher</button>
            </form>

            <table>
              {% for film in films %}
              <form action="/films/add/" method="POST">
                <tr>
                  <td><input type="text" size="10" name="title" value="{{ film.Title }}"></td>
                  <td><input type="text" size="10" name="year" value="{{ film.Year }}"></td>
                  <td><input type="text" size="10" name="poster" value="{{ film.Poster }}"></td>
                  <td><input type="text" size="10" name="description" value="{{ film.Plot }}"></td>
                  <td><input type="text" size="10" name="genre_id" value="{{ film.Genre }}"></td>
                  <td><input type="text" size="10" name="director" value="{{ film.Director }}"></td>
                  <td><button class="btn btn-secondary">Add to DB</button>
                </tr>
              </form>
              {% endfor %}
            </table>
            
              <table class="table">
                {% for movie in listFilm %}
                <form name="formulaire" method="get" action="/films/edit">
                  <tr>
                    <td>{{ movie.id }}</td>
                      <td><input type="text" size="10" name="title" value="{{ movie.title }}"></td>
                      <td><input type="text" size="10" name="year" value="{{ movie.year }}"></td>
                      <td><input type="text" size="10" name="poster" value="{{ movie.poster }}"></td>
                      <td><input type="text" size="10" name="description" value="{{ movie.description }}"></td>
                      <td><input type="text" size="10" name="genre_id" value="{{ movie.genre_id }}"></td>
                      <td><input type="text" size="10" name="director" value="{{ movie.director }}"></td>
                    <td>
                      <button class="btn btn-secondary" type="submit" name="id" value="{{ movie.id }}">Edit</button>
                    </td>
                    <td>
                      <button class="btn btn-secondary" name="id" value="{{ movie.id }}" type="submit" formmethod="post"
                        formaction="/films/delete">Supprimer</button>
                    </td>
                  </tr>
                </form>
                {% endfor %}
              </table>


          </div>
        </div>

        <!-- End of Main Content -->

        <!-- Footer -->
        <footer class="sticky-footer bg-white">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright &copy; Your Website 2019</span>
            </div>
          </div>
        </footer>
        <!-- End of Footer -->

      </div>
      <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
      aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="/logout">Logout</a>
          </div>
        </div>
      </div>
    </div>


    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>



</body>

</html>